﻿@using Umbraco.Cms.Web.Common.PublishedModels;
@using Umbraco.Cms.Core.Models.Blocks;
@using UmbracoProject.Core;
@inherits Umbraco.Cms.Web.Common.Views.UmbracoViewPage<ContentModels.HomePage>
@using ContentModels = Umbraco.Cms.Web.Common.PublishedModels;
@{
    Layout = "_Layout.cshtml";
    var newsArea = Model.Root().FirstChildOfType("newsArea");
    var articles = newsArea != null ? newsArea.Children()
                                .OfType<NewsArticle>()
                                .OrderByDescending(x => x.CreateDate)
                                .Take(3)
                                : null;

}
<!-- default header on home page -->
<section class="section section--full-height background-image-full overlay overlay--dark section--content-center section--thick-border" style="background-image: url('https://c2.staticflickr.com/8/7090/7371136064_257f14923c_o.jpg')">
    <div class="section__hero-content">
        <h1>@Model.Name</h1>
        <h3>@Model.CompanyAddress</h3>
        <p class="section__description">Moonfish, steelhead, lamprey southern flounder tadpole fish sculpin bigeye, blue-redstripe danio collared dogfish. Smalleye squaretail goldfish arowana butterflyfish pipefish wolf-herring jewel tetra, shiner; gibberfish red velvetfish. Thornyhead yellowfin pike threadsail ayu cutlassfish.</p>
        <button class="button button--border--solid">Learn more</button>
    </div>
</section>
<!-- End of header section -->

<!-- Product section -->
<section class="section section--sand">
     
    <div class="container">
        <div class="row">
            <h2>Our products</h2>
            <div class="product-grid">
                
                
                @{
                    
                    foreach (var block in Model.ImageLinkBlocks)
                    {
                        var content = block.Content;

                        @Html.Partial("Views/Partials/blocklist/Components/" + content.ContentType.Alias +"cshtml", block)
                    }
                }
                
                <!-- Implement the Home Page product listing here -->

                <!-- <a href="#" class="product-grid__item"
                   style="background-image: url('')">
                    <div class="product-grid__item__overlay">
                        <div class="product-grid__item__name">
                            Product
                        </div>
                    </div>
                </a>

                <a href="#" class="product-grid__item"
                   style="background-image: url('')">
                    <div class="product-grid__item__overlay">
                        <div class="product-grid__item__name">
                            Product
                        </div>
                    </div>
                </a>

                <a href="#" class="product-grid__item"
                   style="background-image: url('')">
                    <div class="product-grid__item__overlay">
                        <div class="product-grid__item__name">
                            Product
                        </div>
                    </div>
                </a> -->

            </div>
        </div>
    </div>
</section>
<!-- product section end -->

@if (articles != null)
{
<!-- News section -->
<section class="section section--stroke-bottom">
    <div>
        <h2 class="ta-center">Latest news</h2>
    </div>

            
    <div class="container">

        <div class="articles">

            <!-- Implement the Home Page news listing here -->
            
            @foreach (var article in articles)
            {
                <a href="@article.Url()" class="article article-with-image">
                    <div class="article-info">
                        <div class="article-meta">
                            <small class="article-date">@article.CreateDate</small>
                            <small class="article-cat">@String.Join(", ", article.Categories)</small>
                        </div>

                        <h3 class="article-title">@article.Name.GenerateSlug()</h3>
                        <div class="article-excerpt">@article.Summary</div>
                    </div>

                    <!--- optional  - if the article has a image assigned to it -->
                    <div class="article-image" style="background-image: url('')"></div>
                </a>
            }
            
            
            <!-- News section end -->

        </div>

        <div class="ta-center">
            <a class="button--small button--border--dark" href="newsArea.Url">view all posts &rarr;</a>
        </div>

    </div>
    
</section>
}
<!-- Testimonials - you can use this snippet for exercise 6 -->
<section class="section">

    <div class="container">
        <h2>Testimonials</h2>

        <!-- start of row -->
        <div class="row">
            <!-- Testimonial start -->
            <div class="col-sm-6 col-lg-4">
                <div class="testimonial">
                    <div>
                        <div class="testimonial-image" style="background-image: url('https://c7.staticflickr.com/3/2925/14434617534_6d43d7e7ff_h.jpg')"></div>
                        <div class="testimonial-content">
                            <h3 class="testimonial-title">Candice Neistat</h3>
                            <p class="testimonial-text no-air">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus adipisci consectetur facere hic id nobis numquam, omnis sapiente.</p>
                        </div>
                    </div>
                </div>
            </div>
            <!-- testimonial end -->
            <div class="col-sm-6 col-lg-4">
                <div class="testimonial">
                    <div>
                        <div class="testimonial-image" style="background-image: url('https://c1.staticflickr.com/6/5634/22125241144_cc941439fe_h.jpg')"></div>
                        <div class="testimonial-content">
                            <h3 class="testimonial-title">Casey Neistat</h3>
                            <p class="testimonial-text no-air">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus adipisci consectetur facere hic id nobis numquam, omnis sapiente.</p>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-sm-6 col-lg-4">
                <div class="testimonial">
                    <div>
                        <div class="testimonial-image" style="background-image: url('https://c8.staticflickr.com/1/571/22759201791_aea315535e_h.jpg')"></div>
                        <div class="testimonial-content">
                            <h3 class="testimonial-title">Francine Naistat</h3>
                            <p class="testimonial-text no-air">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus adipisci consectetur facere hic id nobis numquam, omnis sapiente.</p>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end of testimonials  -->
        </div>
    </div>
</section>
<!-- Testimonials section end -->